Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] OpenMPI job initializing problem
From: Jeff Squyres (jsquyres) (jsquyres_at_[hidden])
Date: 2014-03-02 14:38:33


Both 1.6.x and 1.7.x/1.8.x will need verbs.h to use the native verbs network stack.

You can use emulated TCP over IB (e.g., using the OMPI TCP BTL), but it's nowhere near as fast/efficient the native verbs network stack.

On Mar 2, 2014, at 10:47 AM, Beichuan Yan <beichuan.yan_at_[hidden]> wrote:

> Thanks. Yes I am asking sysadmin to install the libibverbs-devel, which has not been installed.
>
> It appears that Open MPI 1.6.5 does not need the verbs.h, but 1.7.4 does need it?
>
> Beichuan
>
> -----Original Message-----
> From: users [mailto:users-bounces_at_[hidden]] On Behalf Of Jeff Squyres (jsquyres)
> Sent: Sunday, March 02, 2014 11:44
> To: Open MPI Users
> Subject: Re: [OMPI users] OpenMPI job initializing problem
>
> On Mar 2, 2014, at 10:18 AM, Gustavo Correa <gus_at_[hidden]> wrote:
>
>> Make sure you have any ofed/openib "devel" packages installed, in case
>> they exist and yum lists them.
>> This may be a possible reason for missing header files.
>
> +1
>
> Look for libibverbs-devel.
>
> --
> Jeff Squyres
> jsquyres_at_[hidden]
> For corporate legal information go to: http://www.cisco.com/web/about/doing_business/legal/cri/
>
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users

-- 
Jeff Squyres
jsquyres_at_[hidden]
For corporate legal information go to: http://www.cisco.com/web/about/doing_business/legal/cri/